<div class="container-info-data">

    <h1>ADD NEW PRODUCT</h1>

    <h3>{{ result }}</h3>
    <br><br>

    <form [formGroup]="infoData">
        <div class="container">
            <table clas="table-container" cellspacing="0">
                <tr>
                    <td class="column-medium">
                        <mat-form-field class="input-container">
                            <input matInput type="text" formControlName="name" placeholder="Insert name of product" required>
                        </mat-form-field>
                    </td>
                    <td class="column-short">
                        <mat-form-field class="input-container">
                            <input matInput type="number" formControlName="price" min="1" placeholder="Insert price [€]">
                        </mat-form-field>
                    </td>
                </tr>
                <tr>
                    <td class="column-short">
                        <mat-form-field class="input-container">
                            <textarea matInput type="text" formControlName="description" placeholder="Insert description"></textarea>
                        </mat-form-field>
                    </td>
                </tr>
            </table>

            <div class="btn-container">
                <button mat-raised-button color="primary" (click)="sendData()" [disabled]="!infoData.valid">Add
                    product</button>
                <button mat-raised-button color="warn" (click)="clearForm()">Clear form</button>
            </div>

        </div>
    </form>
</div>